WPParserInternal::ParagraphInfo Struct Reference

Paragraph informations. More...

## Public Member Functions

| ParagraphInfo ()
int | getType () const

## Public Attributes

long | m_pos
int | m_type
int | m_height
int | m_height2
int | m_width
int | m_numLines
std::vector< int > | m_linesHeight
int | m_flags [6]
std::vector< int > | m_unknowns

## Friends

std::ostream & | operator<< (std::ostream &o, ParagraphInfo const &p)

## Detailed Description

Paragraph informations.

## Constructor & Destructor Documentation

WPParserInternal::ParagraphInfo::ParagraphInfo | ( |  | ) |

inline

## Member Function Documentation

int WPParserInternal::ParagraphInfo::getType | ( |  | ) | const

inline

Referenced by WPParser::readText(), WPParser::readWindowsZone(), and WPParser::sendWindow().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphInfo const & | p
| ) |  |

friend

## Member Data Documentation

int WPParserInternal::ParagraphInfo::m_flags[6]

Referenced by ParagraphInfo(), and WPParser::readParagraphInfo().

int WPParserInternal::ParagraphInfo::m_height

Referenced by WPParser::readGraphic(), WPParser::readParagraphInfo(), WPParser::readText(), and WPParser::sendWindow().

int WPParserInternal::ParagraphInfo::m_height2

Referenced by WPParser::readParagraphInfo().

std::vector<int> WPParserInternal::ParagraphInfo::m_linesHeight

Referenced by WPParser::readParagraphInfo(), and WPParser::sendWindow().

int WPParserInternal::ParagraphInfo::m_numLines

Referenced by WPParser::readParagraphInfo(), and WPParser::sendWindow().

long WPParserInternal::ParagraphInfo::m_pos

Referenced by WPParser::readGraphic(), WPParser::readParagraphData(), WPParser::readParagraphInfo(), WPParser::readSection(), WPParser::readTable(), WPParser::readText(), WPParser::readWindowsZone(), and WPParser::sendWindow().

int WPParserInternal::ParagraphInfo::m_type

Referenced by getType(), WPParser::readParagraphData(), and WPParser::readParagraphInfo().

std::vector<int> WPParserInternal::ParagraphInfo::m_unknowns

Referenced by WPParser::readParagraphInfo().

int WPParserInternal::ParagraphInfo::m_width

Referenced by WPParser::readParagraphInfo().

The documentation for this struct was generated from the following file:

- WPParser.cxx